summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-mail/getmail/getmail-4.51.0.ebuild')
-rw-r--r--net-mail/getmail/getmail-4.51.0.ebuild25
1 files changed, 25 insertions, 0 deletions
diff --git a/net-mail/getmail/getmail-4.51.0.ebuild b/net-mail/getmail/getmail-4.51.0.ebuild
new file mode 100644
index 00000000000..8abf74fbcc4
--- /dev/null
+++ b/net-mail/getmail/getmail-4.51.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="ssl?"
+
+inherit distutils-r1
+
+DESCRIPTION="A POP3 mail retriever with reliable Maildir and mbox delivery"
+HOMEPAGE="http://pyropus.ca/software/getmail/"
+SRC_URI="http://pyropus.ca/software/getmail/old-versions/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="4"
+KEYWORDS="~amd64 ~ppc ~x86 ~ppc-macos ~x86-macos ~x64-solaris"
+IUSE="ssl"
+
+python_prepare_all() {
+ sed -i -e "s,'getmail-%s' % __version__,'${PF}'," \
+ -e "/docs\/COPYING/d" "${S}"/setup.py || die
+
+ distutils-r1_python_prepare_all
+}